#include <qlineedit.h>
#include <qlabel.h>
#include <qlayout.h>

#include <klocale.h>

#include "modifydialog.h"
#include "gesture.h"
#include "gesturedrawer.h"

ModifyDialog::ModifyDialog(const Gesture &gesture,
	     QWidget *parent, const char *name)
  : KDialogBase(KDialogBase::Plain, i18n("Modify Gesture"),
		KDialogBase::Ok| KDialogBase::Cancel,
		KDialogBase::Ok, parent, name, true, true)
  {
  QFrame *page = plainPage();
  
  QGridLayout *layout = new QGridLayout(page, 2, 3);
  layout->setColStretch(2, 1);

  QLabel *label = new QLabel(i18n("Modify Gesture"), page);
  layout->addMultiCellWidget(label, 0, 0, 0, 1);

  QFrame *hLine = new QFrame(page);
  hLine->setFrameStyle(QFrame::HLine | QFrame::Sunken);
  layout->addMultiCellWidget(hLine, 1, 1, 0, 2);

  // Insert here
  GestureDrawer *drawer = new GestureDrawer(page, "gestureDrawer");
  drawer->setData(gesture.getData());
  layout->addMultiCellWidget(drawer, 2, 3, 0, 0);
  
  label = new QLabel(i18n("Name: "), page);
  layout->addWidget(label, 2, 1);

  _nameEdit = new QLineEdit(gesture.getName(), page);
  layout->addWidget(_nameEdit, 2, 2);

  label = new QLabel(i18n("Action: "), page);
  layout->addWidget(label, 3, 1);

  _actionEdit = new QLineEdit(gesture.getAction(), page);
  layout->addWidget(_actionEdit, 3, 2);
  }

ModifyDialog::~ModifyDialog()
  {
  }

QString ModifyDialog::getGestureName() const
  {
  return _nameEdit->text();
  }

QString ModifyDialog::getAction() const
  {
  return _actionEdit->text();
  }
