#ifndef RECOGNIZED_DIALOG_H
#define RECOGNIZED_DIALOG_H

#include <qwidget.h>
#include <qdialog.h>
#include <qtimer.h>

class QLabel;
class KConfig;
class Gesture;
class GestureDrawer;

class RecognizedDialog : public QDialog
  {
  Q_OBJECT
  
    public:
  RecognizedDialog(QWidget *parent, const char *name);
  ~RecognizedDialog();

  void show(Gesture &gest);

  void readOptions(KConfig &config);
  void writeOptions(KConfig &config);

 public slots:
 void slotHideTimeout();
  
    private:
  GestureDrawer *_drawer;
  QLabel *_gestureName;

  QTimer _hideTimer;

  Q_UINT32 _xPos;
  Q_UINT32 _yPos;
  Q_UINT32 _lifeLength;
  };

#endif
